Get all (or some of) the manages relations which start from a role of which a user is a member (either directly or indirectly).
Authorization
accessBearerAuth In the value field below, fill in the access token. It has a 10 minutes validity period. A valid token can be obtained via the /accesstoken endpoint (call), AFTER authorization with refreshBearerAuth and the refresh token.
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Only return those manages relations which match each of the specified filters
Response Body
application/json
application/json
application/json
curl -X POST "https://api.eniris.be/v1/role/0/manages/query" \ -H "Content-Type: application/json" \ -d '{}'{
"manages": [
{
"id": 0,
"parentRoleId": 0,
"childRoleId": 0,
"roleManagement": true,
"userManagement": true,
"viewManagement": true,
"deviceManagement": true,
"reportManagement": true
{
"statusCode": 400,
"error": "Bad Request",
"message": "Missing or misformatted query parameter or body"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Failed to verify token"
}Collect manages relations (replaced by POST /v1/role/{parentRoleId}/manages/query) GET
Get all (or some of) the manages relations which start from a role of which a user is a member (either directly or indirectly). The POST /v1/role/{parentRoleId}/manages/query is a preferable alternative which can better handle complex filters.
Create or update a manages relation PUT
Create a manages relation (or update the existing one) between two roles<br><br> When a valid childRolePassword query parameter is specified, the call can be executed when the user is a member of an autorizing role which has direct or indirect roleManagement rights for the parent role of the newly created (or updated) manages relation.<br><br> When no childRolePassword query parameter is provided, a user can only execute this action if he is a member of an autorizing role which has: <ul> <li> direct or indirect roleManagement rights for the parent role of the newly created (or updated) manages relation </li> <li> *indirect* roleManagement rights for the child role of the newly created (or updated) manages relation </li> </ul>
